Wordpress Posting Issue

Problems with the Mac OS X version of XAMPP, questions, comments, and anything related.

Wordpress Posting Issue

Postby csimaginings » 05. October 2009 19:33

I was able to install wordpress and can login into the admin panel on the localhost; however, it will not let me publish a post, create a tag or category. When I try to create a tag or category the admin panel tells me there has been an undefined error. When I create a post it does not allow me to publish and keeps it as a draft and when I try to edit the post it won't let me access the post. I can also veiw the blog on the localhost fine. I am on Mac OS X Version 10.4.11. Any help is greatly appreciated.

Many Thanks!
Cat :-)
csimaginings
 
Posts: 2
Joined: 05. October 2009 19:16

Re: Wordpress Posting Issue

Postby MegaChriz » 06. October 2009 08:58

Which version of XAMPP do you have?
Which version of Wordpress do you have?

If you've XAMPP v1.7.2a then it might have something to do with the new PHP version: PHP 5.3. Not all popular open source tools written in PHP are compatible with PHP 5.3 yet. I'm not sure if this is the case with Wordpress, because I've never used it yet.
If the problems are there because of PHP 5.3, then you could consider to install XAMPP v1.0.1 which has PHP 5.2.9. Don't forget to make a backup of your files inside htdocs and a backup of your databases, because they will be overwritten when (re)installing XAMPP.
MegaChriz
 
Posts: 158
Joined: 16. February 2009 15:04
Location: Amersfoort, The Netherlands
Operating System: Mac OS X

Re: Wordpress Posting Issue

Postby csimaginings » 06. October 2009 14:34

MegaChriz,
Thanks for the response. Below are the versions I am using.

XAMPP Version 0.3 (19)
Wordpress Version 2.8.4
Wordpress should work on PHP version 4.3 or greater and MySQL version 4.0 or greater.
csimaginings
 
Posts: 2
Joined: 05. October 2009 19:16

Re: Wordpress Posting Issue

Postby MegaChriz » 12. October 2009 08:50

Hi csimaginings,

XAMPP for Mac version 0.3 is very old: June 29 2005. The first version of XAMPP for Mac I used, was XAMPP for Mac v0.5, so I don't know anything about versions before.
Or did you check the version of the control panel? The version of the control panel is not always equal to the version of XAMPP itself. In the XAMPP for Mac 0.7.x-series the version of the control panel was 0.3.

To check the version of XAMPP:
1. Start XAMPP.
2. Go to http://localhost/xampp in your browser. You should see the XAMPP-version now.

If you've really XAMPP v0.3, I recommend you to install a newer XAMPP version. If you've no PHP-applications that are only compatible with PHP 4 and not with PHP 5, then you could at best install XAMPP for Mac v1.0.1, which has PHP 5.2.9. XAMPP for Mac 1.7.2a is the newest version available, but I don't know if Wordpress is already compatible with PHP 5.3.
If you use PHP-applications that are only compatible with PHP 4, then you could install XAMPP for Mac v0.7.4, this is the latest XAMPP version with PHP 4.

As for Wordpress, I can't help you with that, since I never used it. But maybe an other forum member can help you if it is a Wordpress issue.

MegaChriz
MegaChriz
 
Posts: 158
Joined: 16. February 2009 15:04
Location: Amersfoort, The Netherlands
Operating System: Mac OS X


Return to XAMPP for Mac OS X

Who is online

Users browsing this forum: No registered users and 7 guests